AOZ Studio Beta - Bug #924

Linux : Share application : can't close the dialog with the mouse
10/19/2022 09:42 AM - Baptiste Pillot

Status: Closed Start date: 10/19/2022
Priority: Normal Due date:

Assignee: Baptiste Pillot % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0 (B17)

Affected version: 1.0.0 (B16) u25

Description

When | share my app, The [X] "close" button does not work with the mouse.
| can close it using my keyboard [Esc] escape key, but not with the mouse.
Should work with the mouse.

Look at the error code on the "AOZ Message" panel when | click the cross :

clipboard-202210190940-wygje.png

History

#1 - 10/19/2022 03:33 PM - Baptiste Pillot
- File clipboard-202210191533-0rl3m.png added

Here is what the Ctrl+Maj+| Atom Javascript console displays when | click on the cross :

clipboard-202210191533-orI3m.png
publisher.openURLInBrowser ()
raoz.js:1418 dirSep is not defined
raoz.js:1419 ReferenceError: dirSep is not defined
at Object.SystemAPI.openURLInBrowser (/home/baptiste/A0Z_Studio/A0Z_Studio/.aozstudio/packages/aoz-studio/
lib/system—-api.js:863)
at Publisher.openURLInBrowser (<anonymous>:102:26)
at eval (eval at aozhtml_JSExecute (aozhtml.back.js:577), <anonymous>:3:11)
at aozhtml_JSExecute (aozhtml.back.js:578)
at JS_Execute (aozhtml.api.]js:23)
at Application.p_close_app.blocks.<computed> (application.js:753)
at AOZ.runBlocks (raoz.js:1064)
at AOZ.updateOnce (raoz.js:725)
at AOZ.loopRun (raoz.js:488)
at D (mainloop.js:687)

#2 - 10/20/2022 11:22 AM - Baptiste Pillot

Comparaison du comportement sous Windows et sous Linux, quand on clique sur la croix :
e Windows :

publisher.openURLInBrowser ()
client.Close()

e Linux :

publisher.openURLInBrowser ()
raoz.js:1418 dirSep is not defined
raoz.js:1419 ReferenceError: dirSep is not defined
at Object.SystemAPI.openURLInBrowser (/home/baptiste/A0Z_Studio/AOZ_Studio/.aozstudio/packages/aoz-studio/
lib/system-api.js:863)
at Publisher.openURLInBrowser (<anonymous>:102:26)
at eval (eval at aozhtml_JSExecute (VM3167 aozhtml.back.js:577), <anonymous>:3:11)
at aozhtml_JSExecute (VM3167 aozhtml.back.js:578)
at JS_Execute (VM3166 aozhtml.api.js:23)
at Application.p_close_app.blocks.<computed> (VM3209 application.js:753)
at AOZ.runBlocks (VM3208 raoz.js:1064)
at AOZ.updateOnce (VM3208 raoz.js:725)
at AOZ.loopRun (VM3208 raoz.js:488)

at D (VM3129 mainloop.min.js:8)

Vu sous cette lorgnette c'est tout simple !

e dirSep n'est pas initialisé dans system-api.js:863 : fait comme partout dans cette librairie : dirSep = PATH.sep.
* mais ce n'est pas tout : le navigateur internet ne se lance pas, comme c'est sous Windows et sous Mac. Crée le script runbrowserlinux.sh.
Dedans je vais chercher le navigateur par défaut paramétré pour le systeme, et I'appeler.

#3 - 10/20/2022 11:22 AM - Baptiste Pillot
- Status changed from New to In Progress

- Assignee set to Baptiste Pillot

#4 - 10/20/2022 11:32 AM - Baptiste Pillot
- Status changed from In Progress to Resolved

- Target version changed from none to 1.0.0 (B17)

Manque également le script runbrowserlinux.sh dont il y a besoin pour lancer le navigateur au moment de fermer la fenétre, pour que ¢a fonctionne
comme sous Windows.

C'est tout bon a présent.

#5 - 11/17/2022 03:40 PM - Baptiste Pillot

- Status changed from Resolved to Closed

Files
clipboard-202210190940-wygje.png 74.5 KB 10/19/2022 Baptiste Pillot
clipboard-202210191533-orI3m.png 36.5 KB 10/19/2022 Baptiste Pillot
